changeset 728:14b9373956a7

Teach squashfs to create /dev/console and change default image time to squashfs.
author Rob Landley <rob@landley.net>
date Mon, 11 May 2009 01:06:39 -0500
parents cc0b6deda270
children 1d2921810860
files system-image.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/system-image.sh	Mon May 11 01:05:52 2009 -0500
+++ b/system-image.sh	Mon May 11 01:06:39 2009 -0500
@@ -22,7 +22,7 @@
 echo -e "$PACKAGE_COLOR"
 echo "=== Packaging system image from root-filesystem"
 
-[ -z "$SYSIMAGE_TYPE" ] && SYSIMAGE_TYPE=ext2
+[ -z "$SYSIMAGE_TYPE" ] && SYSIMAGE_TYPE=squashfs
 
 SYSIMAGE="${BUILD}/system-image-${ARCH_NAME}"
 
@@ -135,7 +135,7 @@
 then
   IMAGE="image-${ARCH}.sqf"
   mksquashfs "${NATIVE_ROOT}" "$SYSIMAGE/$IMAGE" -noappend -all-root \
-    -no-progress || dienow
+    -no-progress -p "/dev d 755 0 0" -p "/dev/console c 666 0 0 5 1" || dienow
 else
   echo "Unknown image type." >&2
   dienow